<template>
    <div>
        <span> good </span>
        <button @click="onClick()">cherche</button>
    </div>
</template>

<script>
import { mapActions } from 'vuex'

export default {

    methods: {
        onClick () {
            // console.log(this.$route.query.id) // outputs 'yay'
        },
        ...mapActions(['facebook']),
    },
    async mounted () {
       await this.facebook(this.$route.query.id)
      //  console.log("lol")
    //    this.$router.push('/')
        await this.$router.push('/')
    }
}
</script>